SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   kadmind (please use Kerberos) Vendors:   MIT
(Sun Issues Fix) Kerberos kadmind Memory Error Lets Remote Authenticated Users Deny Service
SecurityTracker Alert ID:  1024490
SecurityTracker URL:  http://securitytracker.com/id/1024490
CVE Reference:   CVE-2010-0629   (Links to External Site)
Date:  Sep 29 2010
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): krb5-1.5 through krb5-1.6.3
Description:   A vulnerability was reported in Kerberos kadmind. A remote authenticated user can cause denial of service conditions.

A remote authenticated user can send a specially crafted kadmin API version number or other data to cause the target service to reference previously freed memory and crash.

Using a newer version of the kadmin protocol than the server supports can trigger this flaw.

Sol Jerome reported this vulnerability.

Impact:   A remote authenticated user can cause the target service to crash.
Solution:   Sun has issued a fix.

The Sun advisory is available at:

http://blogs.sun.com/security/entry/cve_2010_0629_resource_management

Vendor URL:  web.mit.edu/kerberos/advisories/MITKRB5-SA-2010-003.txt (Links to External Site)
Cause:   Access control error
Underlying OS:  UNIX (Solaris - SunOS)
Underlying OS Comments:  OpenSolaris

Message History:   This archive entry is a follow-up to the message listed below.
Apr 6 2010 Kerberos kadmind Memory Error Lets Remote Authenticated Users Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC